Subject: Re: ispell not recognized when emacs 23 (on OS X) launched from icon

From: Adrian Robert <[email-masked]>
Date: Sat, 17 Oct 2009 08:20:20 -0400

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4684

This results from PATH being different when starting from icon.  You  
can fix it by one of several means.  Please refer to the manual or  
search on the net about Emacs Mac OS X, and path.

Emacs does none of this by default to avoid unexpected differences  
from other OS X applications, which follow the same rules.  If you do  
not like this behavior, the Aquamacs distribution does set PATH I  
believe.